> ## Documentation Index
> Fetch the complete documentation index at: https://docs.algoreg.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get alerts

> Retrieves all the alerts in Go!Scan engine.

## Body parameters

**limit** `integer`

**offset** `integer`

## Response body

> [tab] 200
>
> **items** `AlertWithLastRevision`
>
> **properties**
>
> **created\_at** `string`
>
> **customer\_external\_id** `string`
>
> **id** `string`
>
> **last\_revision** `AlertRevision`
>
> **properties**
>
> **agent\_id** `string`
>
> **comment** `string`
>
> **created\_at** `string`
>
> **customer\_revision\_id** `string`
>
> **id** `string`
>
> **profile\_date** `integer`
>
> **revision\_number** `integer`
>
> **score** `integer`
>
> Overall match score between 0 and 100
>
> **state** `integer`
>
> **top\_category** `string`
>
> PEP, SAN, SIP, RCA\_SIP, etc
>
> **profile\_number** `string`
>
> **type** `any`

> [tab] default
>
> unexpected error
>
> **errors** `APIError[]`
>
> Will contain both "v1" (deprecated, or soon to be) errors and "v2" errors. When possible, prefer errors that are not deprecated.
>
> **properties**
>
> **code** `string`
>
> **deprecated** `boolean`
>
> **message** `string`
>
> **will\_be\_deprecated** `boolean`

```json JSON
{
  "limit": "integer",
  "offset": "integer"
}
```

```javascript JavaScript

  const response = await fetch(
    "POST /api/v1/alerts",
    {
      method: "post",
      headers: {
        "Content-Type": "application/json",
        "Authorization": `Bearer {token}`
      },
      body: JSON.stringify({
  "limit": "integer",
  "offset": "integer"
})
    }
  );
            
          
```

```json 200
{
  "items": {
    "created_at": "string",
    "customer_external_id": "string",
    "id": "string",
    "last_revision": {
      "agent_id": "string",
      "comment": "string",
      "created_at": "string",
      "customer_revision_id": "string",
      "id": "string",
      "profile_date": "integer",
      "revision_number": "integer",
      "score": "integer",
      "state": "integer",
      "top_category": "string"
    },
    "profile_number": "string"
  },
  "type": "any"
}
```

```json default
{
  "errors": [
    {
      "code": "string",
      "deprecated": "boolean",
      "message": "string",
      "will_be_deprecated": "boolean"
    }
  ]
}
```



This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.